# TODO:
# - fix build with aspell
%define		kdeframever	5.48
%define		qtver		5.3.2
%define		kfname		sonnet

Summary:	Multi-language spell checker
Name:		kf5-%{kfname}
Version:	5.48.0
Release:	2
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	c3a974b900dc63995cdda90e29187d1a
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= %{qtver}
BuildRequires:	Qt5Test-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
BuildRequires:	aspell
BuildRequires:	aspell-devel
BuildRequires:	cmake >= 2.8.12
BuildRequires:	hspell-devel
BuildRequires:	hunspell-devel
BuildRequires:	kf5-extra-cmake-modules >= 1.4.0
BuildRequires:	qt5-linguist >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	libvoikko-devel
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	kf5-dirs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
Sonnet is a plugin-based spell checking library for Qt-based
applications. It supports several different plugins, including HSpell,
Enchant, ASpell and HUNSPELL.

It also supports automated language detection, based on a combination
of different algorithms.

The simplest way to use Sonnet in your application is to use the
SpellCheckDecorator class on your QTextEdit.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
install -d build
cd build
%cmake \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT

%find_lang %{kfname}5_qt --with-qm --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{kfname}5_qt.lang
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/gentrigrams
%attr(755,root,root) %{_bindir}/parsetrigrams
%attr(755,root,root) %ghost %{_libdir}/libKF5SonnetCore.so.5
%attr(755,root,root) %{_libdir}/libKF5SonnetCore.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libKF5SonnetUi.so.5
%attr(755,root,root) %{_libdir}/libKF5SonnetUi.so.*.*
%dir %{qt5dir}/plugins/kf5/sonnet
%attr(755,root,root) %{qt5dir}/plugins/kf5/sonnet/sonnet_aspell.so
%attr(755,root,root) %{qt5dir}/plugins/kf5/sonnet/sonnet_hspell.so
%attr(755,root,root) %{qt5dir}/plugins/kf5/sonnet/sonnet_hunspell.so
%attr(755,root,root) %{qt5dir}/plugins/kf5/sonnet/sonnet_voikko.so
%dir %{_datadir}/kf5/sonnet
%{_datadir}/kf5/sonnet/trigrams.map
/etc/xdg/sonnet.categories

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF5/SonnetCore
%{_includedir}/KF5/SonnetUi
%{_includedir}/KF5/sonnet_version.h
%{_libdir}/cmake/KF5Sonnet
%attr(755,root,root) %{_libdir}/libKF5SonnetCore.so
%attr(755,root,root) %{_libdir}/libKF5SonnetUi.so
%{qt5dir}/mkspecs/modules/qt_SonnetCore.pri
%{qt5dir}/mkspecs/modules/qt_SonnetUi.pri
%changelog
* Mon Jul 16 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-sonnet.git;a=log;h=master

* Mon Jul 16 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f3358f
- rel 2; BR aspell/libvoikko-devel

* Mon Jul 16 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 122d60f
- up to 5.48.0

* Mon May 07 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 1db974e
- updated to 5.45.0

* Tue Feb 13 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 561a8ff
- up to 5.43.0

* Sat Oct 14 2017 Witold Filipczyk <witekfl@poczta.onet.pl> 69e779c
- updated to 5.39.0

* Fri Apr 21 2017 Jan Rękorajski <baggins@pld-linux.org> f3b2ac9
- fix building with hunspell 1.6
- rel 3

* Fri Apr 21 2017 Jan Rękorajski <baggins@pld-linux.org> 3ae44a5
- rebuild with hunspell 1.6
- release 2 (by relup.sh)

* Sat Jul 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 37b3433
- updated to 5.24.0; fetch sources

* Sat Jul 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 903961f
- applied upstream

* Sat Jul 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> fa53934
- updated to 5.23

* Sun May 29 2016 Jan Rękorajski <baggins@pld-linux.org> f4377ba
- fix hunspell 1.4.detection
- rel 2

* Sat Feb 27 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 285c149
- updated to 5.19.0

* Sat Sep 12 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 535c7d7
- find_lang with kde

* Fri Sep 04 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> ee862b0
- up to 5.13.0

* Sat May 23 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 3ea6b4c
- rel 1

* Fri May 22 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 689dcc1
- up to 5.10.0

* Fri Dec 12 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> cabd9c1
- rel 0.2; disable aspell for now

* Tue Dec 09 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 61d3db4
- up to 5.4.0

* Thu Jul 10 2014 Elan Ruusamäe <glen@delfi.ee> cb665e0
- tar.xz deps

* Wed Jul 09 2014 Witold Filipczyk <witekfl@poczta.onet.pl> e35ff74
- new

